# Class BinningIndexBuilder

java.lang.Object
htsjdk.samtools.BinningIndexBuilder

public class BinningIndexBuilder extends Object
Builder for a BinningIndexContent object.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`BinningIndexBuilder.FeatureToBeIndexed`
coordinates are 1-based, inclusive

## Constructor Summary

Constructors
Constructor
Description
`BinningIndexBuilder(int referenceSequence)`
`BinningIndexBuilder(int referenceSequence, int sequenceLength)`
`BinningIndexBuilder(int referenceSequence, int sequenceLength, boolean fillInUninitializedValues)`

## Method Summary

Modifier and Type
Method
Description
`BinningIndexContent`
`generateIndexContent()`
Creates the BAMIndexContent for this reference.
`void`
`processFeature(BinningIndexBuilder.FeatureToBeIndexed feature)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinningIndexBuilder

public BinningIndexBuilder(int referenceSequence, int sequenceLength, boolean fillInUninitializedValues)

Parameters:
  `referenceSequence` -
  `sequenceLength` - 0 implies unknown length. Known length will reduce memory use.
  `fillInUninitializedValues` - if true, set uninitialized values (-1) to the last non-zero offset; if false, leave uninitialized values as -1, which is required when merging index files (see `BAMIndexMerger`)

### BinningIndexBuilder

public BinningIndexBuilder(int referenceSequence, int sequenceLength)

Parameters:
  `referenceSequence` -
  `sequenceLength` - 0 implies unknown length. Known length will reduce memory use.

### BinningIndexBuilder

public BinningIndexBuilder(int referenceSequence)

## Method Details

### processFeature

public void processFeature(BinningIndexBuilder.FeatureToBeIndexed feature)

### generateIndexContent

public BinningIndexContent generateIndexContent()
Creates the BAMIndexContent for this reference. Requires all features of the reference have already been processed.